## org.eclipse.xsd.impl
Class XSDAttributeUseImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.xsd.impl.XSDConcreteComponentImpl
                      org.eclipse.xsd.impl.XSDComponentImpl
                          org.eclipse.xsd.impl.XSDAttributeUseImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XSDAttributeGroupContent, XSDAttributeUse, XSDComponent, XSDConcreteComponent

    public class XSDAttributeUseImpl

extends XSDComponentImpl
implements XSDAttributeUse

An implementation of the model object 'Attribute Use'.

The following features are implemented:

- `Required`
- `Value`
- `Constraint`
- `Use`
- `Lexical Value`
- `Attribute Declaration`
- `Content`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`XSDConcreteComponentImpl.XSDContentsEList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected XSDAttributeDeclaration` `attributeDeclaration` The cached value of the '`Attribute Declaration`' reference
`protected static XSDConstraint` `CONSTRAINT_EDEFAULT` The default value of the '`Constraint`' attribute
`protected static int` `CONSTRAINT_EFLAG` The flag representing the value of the '`Constraint`' attribute
`protected static int` `CONSTRAINT_EFLAG_DEFAULT` The flags representing the default value of the '`Constraint`' attribute
`protected static int` `CONSTRAINT_EFLAG_OFFSET` The offset of the flags representing the value of the '`Constraint`' attribute
`protected static int` `CONSTRAINT_ESETFLAG` The flag representing whether the Constraint attribute has been set
`protected XSDAttributeDeclaration` `content` The cached value of the '`Content`' containment reference
`protected static java.lang.String` `LEXICAL_VALUE_EDEFAULT` The default value of the '`Lexical Value`' attribute
`protected java.lang.String` `lexicalValue` The cached value of the '`Lexical Value`' attribute
`protected static boolean` `REQUIRED_EDEFAULT` The default value of the '`Required`' attribute
`protected static int` `REQUIRED_EFLAG` The flag representing the value of the '`Required`' attribute
`protected static XSDAttributeUseCategory` `USE_EDEFAULT` The default value of the '`Use`' attribute
`protected static int` `USE_EFLAG` The flags representing the value of the '`Use`' attribute
`protected static int` `USE_EFLAG_DEFAULT` The flags representing the default value of the '`Use`' attribute
`protected static int` `USE_EFLAG_OFFSET` The offset of the flags representing the value of the '`Use`' attribute
`protected static int` `USE_ESETFLAG` The flag representing whether the Use attribute has been set
`protected java.lang.Object` `value` The cached value of the '`Value`' attribute
`protected static java.lang.Object` `VALUE_EDEFAULT` The default value of the '`Value`' attribute

Fields inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`ANALYZED, ANALYZING, CIRCULAR, diagnostics, element, ELEMENT_EDEFAULT, ERROR, FATAL, forceResolve, INFORMATION, isReconciling, UNANALYZED, updatingDOM, WARNING, xsdContents`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSDAttributeUseImpl()`

Method Summary
`protected void` `adoptContent(EReference eReference, XSDConcreteComponent xsdConcreteComponent)`
`protected boolean` `analyze()`
`NotificationChain` `basicSetContent(XSDAttributeDeclaration newContent, NotificationChain msgs)`
`protected void` `changeAttribute(EAttribute eAttribute)`
`XSDConcreteComponent` `cloneConcreteComponent(boolean deep, boolean shareDOM)` Creates a clone of the component.
`static XSDAttributeUse` `createAttributeUse(org.w3c.dom.Node node)`
`org.w3c.dom.Element` `createElement()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`XSDAttributeDeclaration` `getAttributeDeclaration()`
`XSDConstraint` `getConstraint()`
`XSDAttributeDeclaration` `getContent()`
`protected java.util.Collection<org.w3c.dom.Element>` `getContentNodes(org.w3c.dom.Element changedElement)`
`java.lang.String` `getLexicalValue()`
`XSDAttributeUseCategory` `getUse()`
`java.lang.Object` `getValue()`
`boolean` `isRequired()`
`boolean` `isSetConstraint()`
`boolean` `isSetUse()`
`protected void` `orphanContent(EReference eReference, XSDConcreteComponent xsdConcreteComponent)`
`protected void` `patch()`
`protected void` `patchHelper()`
`protected void` `reconcileAttributes(org.w3c.dom.Element changedElement)`
`protected void` `reconcileContents(org.w3c.dom.Element changedElement)`
`void` `setAttributeDeclaration(XSDAttributeDeclaration newAttributeDeclaration)`
`void` `setConstraint(XSDConstraint newConstraint)`
`void` `setContent(XSDAttributeDeclaration newContent)`
`void` `setLexicalValue(java.lang.String newLexicalValue)`
`void` `setRequired(boolean newRequired)`
`void` `setUse(XSDAttributeUseCategory newUse)`
`void` `setValue(java.lang.Object newValue)`
`static java.util.List<XSDAttributeUse>` `sortAttributeUses(java.util.Collection<XSDAttributeUse> xsdAttributeUses)`
`java.lang.String` `toString()`
`void` `unsetConstraint()`
`void` `unsetUse()`
`void` `validate()` Validates whether this component conforms to the constraints defined in the XML Schema standard.

Methods inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl

`adoptBy, adoptDiagnostic, changeReference, checkAttributes, checkAttributeTypeConstraint, checkAttributeTypeConstraint, checkBuiltInTypeConstraint, checkComplexContent, checkComplexContent, checkElementComplexContent, checkSimpleTypeConstraint, clearDiagnostics, cloneConcreteComponents, considerAllContainsForBestConcreteComponent, contains, convertToBoolean, createDiagnostic, createDiagnostic, createDiagnostic, createDiagnostic, createElement, createRequiredAttributeDiagnostic, createUnresolvedAttributeDeclaration, createUnresolvedAttributeGroupDefinition, createUnresolvedComplexTypeDefinition, createUnresolvedElementDeclaration, createUnresolvedIdentityConstraintDefinition, createUnresolvedModelGroupDefinition, createUnresolvedNotationDeclaration, createUnresolvedSimpleTypeDefinition, createUnresolvedTypeDefinition, elementAttributesChanged, elementChanged, elementContentsChanged, eNotificationRequired, eNotify, eObjectForURIFragmentSegment, eURIFragmentSegment, forceEngulf, forceEngulf, forceNiceInsertBefore, forceNiceRemoveChild, forceReplace, getAdoptionParentNode, getBestConcreteComponent, getComponentsWithApplicationInformation, getComponentsWithInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getDiagnosticTarget, getElement, getRootContainer, getSchema, getURIReferenceLabel, getXSDConcreteComponentImpls, getXSDContents, getXSDFactory, getXSDPackage, handleAnnotationReconciliation, handleElementForAdopt, handleReconciliation, handleUnreconciledElement, isUpdatingDOM, moveContent, niceCreateNamespaceAttribute, niceInsertBefore, niceRemoveChild, niceSetAttribute, niceSetAttributeURIValue, orphanBy, orphanDiagnostic, populateDiagnostic, printDFA, reconcile, reportConstraintViolation, reset, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, setElementGen, setListContentAndOrder, traverseToRootForAnalysis, traverseToRootForPatching, updateElement, updateElement, updatePrefix`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### REQUIRED_EDEFAULT

    protected static final boolean REQUIRED_EDEFAULT

  The default value of the '`Required`' attribute.

  See Also:
    `isRequired()`, Constant Field Values

### REQUIRED_EFLAG

    protected static final int REQUIRED_EFLAG

  The flag representing the value of the '`Required`' attribute.

  See Also:
    `isRequired()`, Constant Field Values

### VALUE_EDEFAULT

    protected static final java.lang.Object VALUE_EDEFAULT

  The default value of the '`Value`' attribute.

  See Also:
    `getValue()`

### value

    protected java.lang.Object value

  The cached value of the '`Value`' attribute.

  See Also:
    `getValue()`

### CONSTRAINT_EDEFAULT

    protected static final XSDConstraint CONSTRAINT_EDEFAULT

  The default value of the '`Constraint`' attribute.

  See Also:
    `getConstraint()`

### CONSTRAINT_EFLAG_OFFSET

    protected static final int CONSTRAINT_EFLAG_OFFSET

  The offset of the flags representing the value of the '`Constraint`' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_EFLAG_DEFAULT

    protected static final int CONSTRAINT_EFLAG_DEFAULT

  The flags representing the default value of the '`Constraint`' attribute.

### CONSTRAINT_EFLAG

    protected static final int CONSTRAINT_EFLAG

  The flag representing the value of the '`Constraint`' attribute.

  See Also:
    `getConstraint()`, Constant Field Values

### CONSTRAINT_ESETFLAG

    protected static final int CONSTRAINT_ESETFLAG

  The flag representing whether the Constraint attribute has been set.

  See Also:
    Constant Field Values

### USE_EDEFAULT

    protected static final XSDAttributeUseCategory USE_EDEFAULT

  The default value of the '`Use`' attribute.

  See Also:
    `getUse()`

### USE_EFLAG_OFFSET

    protected static final int USE_EFLAG_OFFSET

  The offset of the flags representing the value of the '`Use`' attribute.

  See Also:
    Constant Field Values

### USE_EFLAG_DEFAULT

    protected static final int USE_EFLAG_DEFAULT

  The flags representing the default value of the '`Use`' attribute.

### USE_EFLAG

    protected static final int USE_EFLAG

  The flags representing the value of the '`Use`' attribute.

  See Also:
    `getUse()`, Constant Field Values

### USE_ESETFLAG

    protected static final int USE_ESETFLAG

  The flag representing whether the Use attribute has been set.

  See Also:
    Constant Field Values

### LEXICAL_VALUE_EDEFAULT

    protected static final java.lang.String LEXICAL_VALUE_EDEFAULT

  The default value of the '`Lexical Value`' attribute.

  See Also:
    `getLexicalValue()`

### lexicalValue

    protected java.lang.String lexicalValue

  The cached value of the '`Lexical Value`' attribute.

  See Also:
    `getLexicalValue()`

### attributeDeclaration

    protected XSDAttributeDeclaration attributeDeclaration

  The cached value of the '`Attribute Declaration`' reference.

  See Also:
    `getAttributeDeclaration()`

### content

    protected XSDAttributeDeclaration content

  The cached value of the '`Content`' containment reference.

  See Also:
    `getContent()`

Constructor Detail

### XSDAttributeUseImpl

    protected XSDAttributeUseImpl()

Method Detail

### createAttributeUse

    public static XSDAttributeUse createAttributeUse(org.w3c.dom.Node node)

### sortAttributeUses

    public static java.util.List<XSDAttributeUse> sortAttributeUses(java.util.Collection<XSDAttributeUse> xsdAttributeUses)

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `XSDComponentImpl`

### isRequired

    public boolean isRequired()

  Specified by:
    `isRequired` in interface `XSDAttributeUse`
  Returns:
    the value of the 'Required' attribute.
  See Also:
    `XSDAttributeUse.setRequired(boolean)`, `XSDPackage.getXSDAttributeUse_Required()`

### setRequired

    public void setRequired(boolean newRequired)

  Specified by:
    `setRequired` in interface `XSDAttributeUse`
  Parameters:
    `newRequired` - the new value of the 'Required' attribute.
  See Also:
    `XSDAttributeUse.isRequired()`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `XSDAttributeUse`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `XSDAttributeUse.setValue(Object)`, `XSDPackage.getXSDAttributeUse_Value()`

### setValue

    public void setValue(java.lang.Object newValue)

  Specified by:
    `setValue` in interface `XSDAttributeUse`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `XSDAttributeUse.getValue()`

### getConstraint

    public XSDConstraint getConstraint()

  Specified by:
    `getConstraint` in interface `XSDAttributeUse`
  Returns:
    the value of the 'Constraint' attribute.
  See Also:
    `XSDConstraint`, `XSDAttributeUse.isSetConstraint()`, `XSDAttributeUse.unsetConstraint()`, `XSDAttributeUse.setConstraint(XSDConstraint)`, `XSDPackage.getXSDAttributeUse_Constraint()`

### setConstraint

    public void setConstraint(XSDConstraint newConstraint)

  Specified by:
    `setConstraint` in interface `XSDAttributeUse`
  Parameters:
    `newConstraint` - the new value of the 'Constraint' attribute.
  See Also:
    `XSDConstraint`, `XSDAttributeUse.isSetConstraint()`, `XSDAttributeUse.unsetConstraint()`, `XSDAttributeUse.getConstraint()`

### unsetConstraint

    public void unsetConstraint()

  Specified by:
    `unsetConstraint` in interface `XSDAttributeUse`
  See Also:
    `XSDAttributeUse.isSetConstraint()`, `XSDAttributeUse.getConstraint()`, `XSDAttributeUse.setConstraint(XSDConstraint)`

### isSetConstraint

    public boolean isSetConstraint()

  Specified by:
    `isSetConstraint` in interface `XSDAttributeUse`
  Returns:
    whether the value of the 'Constraint' attribute is set.
  See Also:
    `XSDAttributeUse.unsetConstraint()`, `XSDAttributeUse.getConstraint()`, `XSDAttributeUse.setConstraint(XSDConstraint)`

### getUse

    public XSDAttributeUseCategory getUse()

  Specified by:
    `getUse` in interface `XSDAttributeUse`
  Returns:
    the value of the 'Use' attribute.
  See Also:
    `XSDAttributeUseCategory`, `XSDAttributeUse.isSetUse()`, `XSDAttributeUse.unsetUse()`, `XSDAttributeUse.setUse(XSDAttributeUseCategory)`, `XSDPackage.getXSDAttributeUse_Use()`

### setUse

    public void setUse(XSDAttributeUseCategory newUse)

  Specified by:
    `setUse` in interface `XSDAttributeUse`
  Parameters:
    `newUse` - the new value of the 'Use' attribute.
  See Also:
    `XSDAttributeUseCategory`, `XSDAttributeUse.isSetUse()`, `XSDAttributeUse.unsetUse()`, `XSDAttributeUse.getUse()`

### unsetUse

    public void unsetUse()

  Specified by:
    `unsetUse` in interface `XSDAttributeUse`
  See Also:
    `XSDAttributeUse.isSetUse()`, `XSDAttributeUse.getUse()`, `XSDAttributeUse.setUse(XSDAttributeUseCategory)`

### isSetUse

    public boolean isSetUse()

  Specified by:
    `isSetUse` in interface `XSDAttributeUse`
  Returns:
    whether the value of the 'Use' attribute is set.
  See Also:
    `XSDAttributeUse.unsetUse()`, `XSDAttributeUse.getUse()`, `XSDAttributeUse.setUse(XSDAttributeUseCategory)`

### getLexicalValue

    public java.lang.String getLexicalValue()

  Specified by:
    `getLexicalValue` in interface `XSDAttributeUse`
  Returns:
    the value of the 'Lexical Value' attribute.
  See Also:
    `XSDAttributeUse.setLexicalValue(String)`, `XSDPackage.getXSDAttributeUse_LexicalValue()`

### setLexicalValue

    public void setLexicalValue(java.lang.String newLexicalValue)

  Specified by:
    `setLexicalValue` in interface `XSDAttributeUse`
  Parameters:
    `newLexicalValue` - the new value of the 'Lexical Value' attribute.
  See Also:
    `XSDAttributeUse.getLexicalValue()`

### getAttributeDeclaration

    public XSDAttributeDeclaration getAttributeDeclaration()

  Specified by:
    `getAttributeDeclaration` in interface `XSDAttributeUse`
  Returns:
    the value of the 'Attribute Declaration' reference.
  See Also:
    `XSDAttributeUse.setAttributeDeclaration(XSDAttributeDeclaration)`, `XSDPackage.getXSDAttributeUse_AttributeDeclaration()`

### setAttributeDeclaration

    public void setAttributeDeclaration(XSDAttributeDeclaration newAttributeDeclaration)

  Specified by:
    `setAttributeDeclaration` in interface `XSDAttributeUse`
  Parameters:
    `newAttributeDeclaration` - the new value of the 'Attribute Declaration' reference.
  See Also:
    `XSDAttributeUse.getAttributeDeclaration()`

### getContent

    public XSDAttributeDeclaration getContent()

  Specified by:
    `getContent` in interface `XSDAttributeUse`
  Returns:
    the value of the 'Content' containment reference.
  See Also:
    `XSDAttributeUse.setContent(XSDAttributeDeclaration)`, `XSDPackage.getXSDAttributeUse_Content()`

### setContent

    public void setContent(XSDAttributeDeclaration newContent)

  Specified by:
    `setContent` in interface `XSDAttributeUse`
  Parameters:
    `newContent` - the new value of the 'Content' containment reference.
  See Also:
    `XSDAttributeUse.getContent()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `XSDConcreteComponentImpl`

### basicSetContent

    public NotificationChain basicSetContent(XSDAttributeDeclaration newContent,
                                             NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `XSDConcreteComponentImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `XSDConcreteComponentImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `XSDConcreteComponentImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `XSDConcreteComponentImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XSDConcreteComponentImpl`

### createElement

    public org.w3c.dom.Element createElement()

  Overrides:
    `createElement` in class `XSDConcreteComponentImpl`

### patch

    protected void patch()

  Overrides:
    `patch` in class `XSDConcreteComponentImpl`

### patchHelper

    protected void patchHelper()

### analyze

    protected boolean analyze()

  Overrides:
    `analyze` in class `XSDConcreteComponentImpl`

### validate

    public void validate()

  Description copied from interface: `XSDConcreteComponent`
  Validates whether this component conforms to the constraints defined in the XML Schema standard. `Diagnostics` are produced to report any problems. The effect of calling this for a component not directly or indirectly contained by a `schema` is undefined, and is likely to result in null pointer exceptions.

  Specified by:
    `validate` in interface `XSDConcreteComponent`
  Overrides:
    `validate` in class `XSDConcreteComponentImpl`
  See Also:
    `XSDConcreteComponent.getDiagnostics()`, `XSDConcreteComponent.clearDiagnostics()`

### getContentNodes

    protected java.util.Collection<org.w3c.dom.Element> getContentNodes(org.w3c.dom.Element changedElement)

  Overrides:
    `getContentNodes` in class `XSDConcreteComponentImpl`

### reconcileAttributes

    protected void reconcileAttributes(org.w3c.dom.Element changedElement)

  Overrides:
    `reconcileAttributes` in class `XSDConcreteComponentImpl`

### reconcileContents

    protected void reconcileContents(org.w3c.dom.Element changedElement)

  Overrides:
    `reconcileContents` in class `XSDConcreteComponentImpl`

### changeAttribute

    protected void changeAttribute(EAttribute eAttribute)

  Overrides:
    `changeAttribute` in class `XSDConcreteComponentImpl`

### adoptContent

    protected void adoptContent(EReference eReference,
                                XSDConcreteComponent xsdConcreteComponent)

  Overrides:
    `adoptContent` in class `XSDConcreteComponentImpl`

### orphanContent

    protected void orphanContent(EReference eReference,
                                 XSDConcreteComponent xsdConcreteComponent)

  Overrides:
    `orphanContent` in class `XSDConcreteComponentImpl`

### cloneConcreteComponent

    public XSDConcreteComponent cloneConcreteComponent(boolean deep,
                                                       boolean shareDOM)

  Description copied from interface: `XSDConcreteComponent`
  Creates a clone of the component. The clone may be deep and may share the DOM of this component.

  Specified by:
    `cloneConcreteComponent` in interface `XSDConcreteComponent`
  Overrides:
    `cloneConcreteComponent` in class `XSDConcreteComponentImpl`
  Parameters:
    `deep` - whether the clone should be deep.
    `shareDOM` - whether the clone should share the original DOM
  Returns:
    a clone of the component.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.